
local Dolmen = ...

Dolmen:registerAssetId("models/dolmen.fbx/Prefab/dolmenPart", "DOLMEN_PREFAB")

-- Register the stone gate set decoration dolmen part
Dolmen:register({
	DataType = "BUILDING_PART",
	Id = "DOLMEN_PART",
	Name = "DOLMEN_NAME",
	Description = "DOLMEN_DESC",
	Category = "DECORATION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DOLMEN_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 5 }
		}
	},
        VillagerCapacity = 4,
  	AssetBuildingFunction = "MENHIR_FUNCTION"
})

-- Register grounding components

Dolmen:registerPrefabComponent("models/dolmen.fbx/Prefab/dolmenPart", {
	DataType = "COMP_GROUNDED"
})

-- Override building part components properties (generated by the building asset processor) to add building zones
Dolmen:registerPrefabComponent("models/dolmen.fbx/Prefab/dolmenPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 4 }
})
