
local Menhir = ...

Menhir:registerAssetId("models/menhir.fbx/Prefab/menhirPart", "MENHIR_PREFAB")

-- Register the stone gate set decoration menhir part
Menhir:register({
	DataType = "BUILDING_PART",
	Id = "MENHIR_PART",
	Name = "MENHIR_NAME",
	Description = "MENHIR_DESC",
	Category = "DECORATION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "MENHIR_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 1 }
		}
	},
        VillagerCapacity = 1,
  	AssetBuildingFunction = "MENHIR_FUNCTION"
})
Menhir:register({
		DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR",
                Id = "MENHIR_FUNCTION",
--                Name = "ELECTUARIES_RECEIPTS_1_FUNCTION_NAME",
--                TypeList = { "LUXURY_FOOD" },
--                IsOverrideCapacity = true,
--                CapacityPerSlot = 50,
--		WorkerCapacity = 1,
--                RelatedJob = { Job = "APOTHECARY", Behavior = "WORK_BEHAVIOR" },
--[[
                InputInventoryCapacity = {
			{ Resource = "BERRIES", Quantity = 50 },
			{ Resource = "HONEY", Quantity = 50 }
                },
                ResourceListNeeded = {
			{ Resource = "BERRIES", Quantity = 1 },
			{ Resource = "HONEY", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "ELECTUARY", Quantity = 1 }
                }
]]
                ResourceGenerated = "FAITH",
                IsInfinite = false
})


-- Register grounding components

Menhir:registerPrefabComponent("models/menhir.fbx/Prefab/menhirPart", {
	DataType = "COMP_GROUNDED"
})

-- Override building part components properties (generated by the building asset processor) to add building zones
Menhir:registerPrefabComponent("models/menhir.fbx/Prefab/menhirPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 1, 1 }
})
